## lbt 1.2.1

=== Makefile ===
# Installation directory prefix for Debian GNU/Linux
DESTDIR =
# Generic installation directory prefix
PREFIX = $(DESTDIR)/usr

# Where to put binaries on 'make install'?
BINDIR = $(PREFIX)/bin
# Where to put documentation on 'make install'?
DOCDIR = $(PREFIX)/share/doc/lbt
# Where to put manual pages on 'make installman'?
MANDIR = $(PREFIX)/share/man/man1

# Installation commands
INSTALLDIR = install -d
INSTALLBIN = install
INSTALLDATA = install -m 444
RM = rm -f

# GCC (tested with 2.95.4 and 3.0.2)
CXX=g++
CXXFLAGS=$(CFLAGS) -fno-exceptions -fno-rtti
LDFLAGS=
CC=gcc
CFLAGS=-O3

## Compaq C++ V6.3-011 for Digital UNIX V4.0G (Rev. 1530)
#CXX=cxx
#CXXFLAGS=$(CFLAGS) -nocleanup -nortti
#LDFLAGS=
#CC=cc
#CFLAGS=-arch host -tune host -assume trusted_short_alignment -assume noptrs_to_globals -compress -O5 -w1 -std strict_ansi_errors

TARGETS = lbt lbt2dot
LBTOBJS = Ltl.o LtlGraph.o BitVector.o lbt.o
L2DOBJS = lbt2dot.o

OBJS = $(LBTOBJS) $(L2DOBJS)

MANPAGES = lbt.1 lbt2dot.1

all: $(TARGETS)

clean:
	$(RM) $(OBJS)
reallyclean: clean
	$(RM) $(TARGETS)

install: $(TARGETS)
	$(INSTALLDIR) $(BINDIR) $(DOCDIR)
	$(INSTALLBIN) lbt lbt2dot $(BINDIR)
	$(INSTALLDATA) doc/* $(DOCDIR)

installman: $(MANPAGES)
	$(INSTALLDIR) $(MANDIR)
	$(INSTALLDATA) $(MANPAGES) $(MANDIR)

lbt: $(LBTOBJS)
	$(CXX) -o $@ $(LBTOBJS) $(LDFLAGS)
lbt2dot: $(L2DOBJS)
	$(CC) -o $@ $(L2DOBJS) $(LDFLAGS)

.C.o:
	$(CXX) $(CXXFLAGS) -c $< -o $@
.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

.phony: all clean reallyclean install installman
.SUFFIXES:
.SUFFIXES: .C .c .o

Ltl.o LtlGraph.o lbt.o: Ltl.h LtlGraph.h BitVector.h
BitVector.o: BitVector.h

## lbt 1.2.2

=== Makefile ===
--- 
+++ 
@@ -21,14 +21,14 @@
 CXXFLAGS=$(CFLAGS) -fno-exceptions -fno-rtti
 LDFLAGS=
 CC=gcc
-CFLAGS=-O3
+CFLAGS=-O3 -fomit-frame-pointer
 
 ## Compaq C++ V6.3-011 for Digital UNIX V4.0G (Rev. 1530)
 #CXX=cxx
 #CXXFLAGS=$(CFLAGS) -nocleanup -nortti
 #LDFLAGS=
 #CC=cc
-#CFLAGS=-arch host -tune host -assume trusted_short_alignment -assume noptrs_to_globals -compress -O5 -w1 -std strict_ansi_errors
+#CFLAGS=-arch host -tune host -assume trusted_short_alignment -assume noptrs_to_globals -compress -O5 -om -w1 -std strict_ansi_errors
 
 TARGETS = lbt lbt2dot
 LBTOBJS = Ltl.o LtlGraph.o BitVector.o lbt.o

=== debian/changelog ===
lbt (1.2.2-6) unstable; urgency=medium

  * added debian/watch
  * debian/copyright: convert to machine-readable format 1.0
  * install docs in /usr/share/docs/lbt:
    - added debian/lbt.docs
    - changed file location in lbt.doc-base
    - dropped debian/lbt.dirs which is no longer useful 
  * debian/rules: rewrite, using dh
  * debhelper compat level 10:
    - bump debian/compat
    - bump build-dependency on debhelper
  * standards-version 3.9.8 (no change)
  * added Vcs-{Git,Browser}fields
  * patch compiler-flags: honour CFLAGS and CXXFLAGS values passed to
    Makefile, use CPPFLAGS
  * add as-installed package test, using an example from the lbt manpage

 -- Ralf Treinen <treinen@debian.org>  Tue, 06 Dec 2016 20:25:48 +0100

lbt (1.2.2-5) unstable; urgency=low

  * debian-control:
    - set Maintainer to debian-science
    - set Section to science
    - set Prioriy to extra
    - Standards-Version 3.9.2 (no change)
    - add Dependency on ${misc:Depends}
  * migrate to source format 3.0 (quilt)
  * rename debian/dirs to debian/lbt.dirs
  * manpage for lbt2dot is symlink to lbt.1 
  * simplify call to dh_installchangelogs

 -- Ralf Treinen <treinen@debian.org>  Fri, 13 May 2011 08:50:40 +0200

lbt (1.2.2-4) unstable; urgency=low

  * debian/lbt.doc-base: Change field descriptor "Authors" to "Author"
    (closes: Bug#466458).
  * debian/rules: do not ignore errors of "make clean".
  * Standards-Version 3.8.3 
  * debian/control: added Homepage field.
  * debhelper compatibility level 7.
    - debian/rules: dh_clean -k => dh_prep
  * debian/copyright:
    - add a proper copyright notice.
    - point to GPL-2 file instead file of just GPL file.
  * Changed doc-base section to Science/Mathematics

 -- Ralf Treinen <treinen@debian.org>  Sun, 30 Aug 2009 20:19:51 +0200

lbt (1.2.2-3) unstable; urgency=low

  * Compile with -O3 instad of -O2 on m68 to work around a gcc-4.0 bug on
    m68k (closes: Bug#320691).
  * Compile with "-O0" when "noopt" is in DEB_BUILD_OPTIONS.

 -- Ralf Treinen <treinen@debian.org>  Wed,  3 Aug 2005 09:47:21 +0200

lbt (1.2.2-2) unstable; urgency=low

  * Standards-version 3.6.2 (no change).
  * Debhelper compatibility 4, put into file debian/compat.
  * Recommends graphiz (instead of Suggests)
  * Rebuild with gcc 4.

 -- Ralf Treinen <treinen@debian.org>  Wed,  6 Jul 2005 21:25:20 +0200

lbt (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Add debian/watch file
  * Short description starts on lowercase letter
  * Use dh_installchangelogs to install upstream changelog

 -- Ralf Treinen <treinen@debian.org>  Fri,  7 Jan 2005 20:13:25 +0100

lbt (1.2.1-2) unstable; urgency=low

  * Standards-Version 3.6.1.0
  * Converted debian/{changelog,copyright,control,lbt.doc-base} to UTF-8
    characer encoding
  * Fixed a spelling error in short description (Buechi)
  * removed empty file debian/docs
  
 -- Ralf Treinen <treinen@debian.org>  Sun,  7 Sep 2003 15:29:11 +0200

lbt (1.2.1-1) unstable; urgency=low

  * First upload to unstable (closes: Bug#146321).
  * Added Marko Mäkelä and Heikki Tauriainen to the list of upstream authors.
  * lbt.doc-base: changed author of doc to Marko Mäkelä.

 -- Ralf Treinen <treinen@debian.org>  Fri,  4 Oct 2002 21:17:49 +0200

lbt (1.2.1-0.alpha) experimental; urgency=low

  * Initial Release.

 -- Ralf Treinen <treinen@debian.org>  Tue,  6 Aug 2002 23:13:17 +0200

=== debian/control ===
Source: lbt
Section: science
Priority: extra
Maintainer:  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>
Build-Depends: debhelper (>= 10.0)
Standards-Version: 3.9.8
Homepage: http://www.tcs.hut.fi/Software/maria/tools/lbt/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lbt.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lbt.git

Package: lbt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: graphviz
Description: converts from LTL formulas to Büchi automata
 This software converts a linear temporal logic (ltl) formula to a
 generalised Büchi automaton. The resulting automaton may be used, for
 instance, in model checking, where it represents a property to be
 verified from a model (e.g. a Petri net).

=== debian/watch ===
version=4
http://www.tcs.hut.fi/Software/maria/src/ lbt-([\d\.]+)\.tar\.gz

## lbt dragonfly-0.11.493

=== requirements.txt ===
dragonfly-energy==1.27.100
dragonfly-radiance==0.3.200
dragonfly-uwg==0.5.618
dragonfly-display==0.3.2
lbt-honeybee==0.8.460

## lbt dragonfly-0.11.553

=== requirements.txt ===
dragonfly-energy==1.30.8
dragonfly-radiance==0.3.217
dragonfly-uwg==0.5.631
dragonfly-display==0.3.3
lbt-honeybee==0.8.499

## lbt dragonfly-0.11.696

=== requirements.txt ===
dragonfly-energy==1.32.9
dragonfly-radiance==0.3.266
dragonfly-uwg==0.5.671
dragonfly-display==0.3.5
lbt-honeybee==0.8.568

## lbt honeybee-0.8.501

=== requirements.txt ===
honeybee-radiance-postprocess==0.4.494
honeybee-energy[standards]==1.110.2
honeybee-display==0.5.2
lbt-ladybug==0.27.123

## lbt honeybee-0.9.88

=== requirements.txt ===
honeybee-radiance-postprocess==0.4.545
honeybee-energy[openstudio,standards]==1.116.48
honeybee-display==0.5.5
lbt-ladybug==0.27.150

## lbt honeybee-0.9.89

=== requirements.txt ===
honeybee-radiance-postprocess==0.4.546
honeybee-energy[openstudio,standards]==1.116.48
honeybee-display==0.5.5
lbt-ladybug==0.27.150

## lbt honeybee-0.9.94

=== requirements.txt ===
honeybee-radiance-postprocess==0.4.548
honeybee-energy[openstudio,standards]==1.116.51
honeybee-display==0.5.5
lbt-ladybug==0.27.150

## lbt honeybee-0.9.126

=== requirements.txt ===
honeybee-radiance-postprocess==0.4.558
honeybee-energy[openstudio,standards]==1.116.74
honeybee-display==0.5.5
lbt-ladybug==0.27.154

## lbt honeybee-0.9.131

=== requirements.txt ===
honeybee-radiance-postprocess==0.4.560
honeybee-energy[openstudio,standards]==1.116.76
honeybee-display==0.5.5
lbt-ladybug==0.27.155

## lbt honeybee-0.9.135

=== requirements.txt ===
honeybee-radiance-postprocess==0.4.561
honeybee-energy[openstudio,standards]==1.116.79
honeybee-display==0.5.5
lbt-ladybug==0.27.155

## lbt honeybee-0.9.161

=== requirements.txt ===
honeybee-radiance-postprocess==0.4.569
honeybee-energy[openstudio,standards]==1.116.93
honeybee-display==0.5.7
lbt-ladybug==0.27.157

## lbt honeybee-0.9.174

=== requirements.txt ===
honeybee-radiance-postprocess==0.4.576
honeybee-energy[openstudio,standards]==1.116.98
honeybee-display==0.6.0
lbt-ladybug==0.27.157

## lbt ladybug-0.27.117

=== requirements.txt ===
ladybug-comfort==0.18.59
ladybug-radiance==0.2.10
ladybug-display==0.11.2
